* {
  box-sizing: border-box;
  font-family: sans-serif;
  padding: 0;
  margin: 0;
}

:root {
  --white-bg: #fff;
  --btn: #dbdbdb;
  --btn-hover: #cacaca;
  --item-bg: #f0f0f0;
  --modal-bg: rgba(141, 141, 141, 0.541);
}

#app {
  padding: 10px;
}

.header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding-bottom: 10px;
}

.header > button {
  padding: 10px 15px;
  border-radius: 20px;
  border: none;
  background-color: var(--btn);
  cursor: pointer;
}
.header > button:hover {
  background-color: var(--btn-hover);
}

.employees {
  display: flex;
}

.employees > div {
  border: 1px solid black;
  overflow-y: scroll;
  height: 80vh;
}
.employees__names {
  width: 30%;
}
.employees__single {
  width: 70%;
}

.employees__names,
.employees__single {
  padding: 10px;
  display: flex;
  flex-direction: column;
  padding-top: 0px;
}

.employees__names--title,
.employees__single--title {
  position: sticky;
  top: 0px;
  padding: 10px 0px;
  margin-bottom: 5px;
  text-align: center;
  border-bottom: 1px solid black;
  background-color: var(--white-bg);
}

.employees__names--list {
  display: flex;
  flex-direction: column;
  padding: 10px 15px;
}

.employees__names--item {
  cursor: pointer;
  padding: 10px 15px;
  margin-bottom: 5px;
  text-align: center;
  background-color: var(--item-bg);
  border-radius: 10px;
  display: flex;
  justify-content: space-between;
  align-items: center;
  text-transform: capitalize;
}

.employees__names--item:hover,
.selected {
  background-color: var(--btn);
}

.employee__single--edit {
  cursor: pointer;
  position: absolute;
  top: 50%;
  right: 0px;
  transform: translate(0%, -50%);
}

.employees__single--heading {
  text-align: center;
  font-size: 25px;
  text-transform: uppercase;
  padding: 5px;
}
.employees__single--info {
  display: flex;
  gap: 10px;
  align-items: center;
  flex-direction: column;
}
.employees__single--info > img {
  width: 250px;
  height: 250px;
  object-fit: cover;
  border-radius: 50%;
}

.addEmployee {
  display: none;
  position: absolute;
  top: 0;
  left: 0;
  height: 100%;
  width: 100%;
  background-color: var(--modal-bg);
  justify-content: center;
  align-items: center;
}

.addEmployee__create {
  width: 400px;
  background-color: var(--white-bg);
  box-shadow: 0 0 50px;
  padding: 20px;
  border-radius: 5px;
  text-align: center;
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.addEmployee__create > div {
  display: grid;
  grid-template-columns: 48.1% 48.1%;
  column-gap: 15px;
  padding: 0px;
}

.addEmployee__create input {
  padding: 5px 10px;
  border-radius: 5px;
  border: 1px solid rgb(236, 236, 236);
}

.addEmployee__create input::-webkit-outer-spin-button,
.addEmployee__create input::-webkit-inner-spin-button {
  -webkit-appearance: none;
  margin: 0px;
}

.addEmployee__create--submit {
  padding: 10px !important;
  border-radius: 5px;
  border: none;
  background-color: var(--btn);
  cursor: pointer;
}

.addEmployee__create--submit:hover {
  background-color: var(--btn-hover);
}

@media screen and (width < 768px) {
  .employees {
    flex-direction: column;
    gap: 10px;
  }
  .employees > div {
    height: 400px;
  }
  .employees__names {
    width: 100%;
    order: 2;
  }
  .employees__single {
    width: 100%;
    order: 1;
  }
  .addEmployee__create {
    width: 90vw;
  }
}
